Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8062600

Migrate use of com.sun.net.ssl.** to supported API

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P4
    • Resolution: Not an Issue
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: security-libs

      Description

      All com.sun.net.ssl.** classes are JDK internal APIs that are not supported and should not be used. This issue documents the supported APIs that you should migrate to use.

      In general, use javax.net.ssl instead @since1.4

      Use of com.sun.net.ssl.internal.ssl.Provider should be replaced with java.security.Security.getInstance("...") and see Crypto Providers Documentation [1] for details.

      [1] http://docs.oracle.com/javase/8/docs/technotes/guides/security/SunProviders.html

        Attachments

          Activity

            People

            Assignee:
            mchung Mandy Chung
            Reporter:
            mchung Mandy Chung
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: